﻿@model IEnumerable<eCommerce.Services.Model.Contact>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-1 text-center">Leido</th>
            <th class="col-xs-2 text-center">Fecha</th>
            <th class="col-xs-2">Nombre</th>
            <th class="col-xs-2">Email</th>
            <th class="col-xs-2">Asunto</th>
            <th class="col-xs-5">Mensaje</th>
            <th class="col-xs-1 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">
                @if (item.Answered)
                {
                    <span class="badge badge-success">Si</span>
                }
                else
                {
                    <span class="badge badge-danger">No</span>
                }
            </td>
            <td>@item.Created.ToString()</td>
            <td>@Html.DisplayFor(modelItem => item.Fullname)</td>
            <td>@Html.DisplayFor(modelItem => item.EMail)</td>
            <td>@Html.DisplayFor(modelItem => item.Subject)</td>
            <td>@Html.DisplayFor(modelItem => item.Message)</td>
            <td class="actions text-center">

                @if (!item.Answered)
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default markasread-row"
                       data-toggle="tooltip" data-original-title="Marcar cómo leído" data-rowid="@item.ContactId" onclick="fMarkAsReadDialog(@item.ContactId)"><i class="icon wb-check" aria-hidden="true"></i></a>
                }
                else
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default markasnoread-row"
                       data-toggle="tooltip" data-original-title="Marcar cómo no leído" data-rowid="@item.ContactId" onclick="fMarkAsNoReadDialog(@item.ContactId)"><i class="icon wb-close" aria-hidden="true"></i></a>
                }

                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.ContactId" onclick="fDeleteDialog(@item.ContactId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
